*----------------------------------------------------------------------------
* Function: Centr                     Language: Clipper 5.0
* Author  : Ed Phillips
* Purpose : Center text on screen, with optional padding for a GET var
* Syntax  : Centr( <expC>, [<expN>] )
*           EXAMPLE: msg = 'Hello World'
*                    prompt = "Enter Today's Date:"
*                    dvar = Ctod([])
*                    @ 1,Centr(msg) SAY msg
*                    @ 10,Centr(prompt,8) SAY prompt GET dvar
* Returns : column number
*----------------------------------------------------------------------------

FUNCTION Centr( string,spaces )
   IF ValType(spaces) = 'U'
      spaces = 0
   ENDIF
RETU ( (80 - (Len(string)+spaces))/2 )
* EOF: CENTR.PRG
